### Function

# Gimp context_set_distance_metric

since: 2.10

#### Declaration [src]

    gboolean
    gimp_context_set_distance_metric (
      GeglDistanceMetric metric
    )

#### Description [src]

Set the distance metric used in some computations.

Modifies the distance metric used in some computations, such as gimp_drawable_edit_gradient_fill(). In particular, it does not change the metric used in generic distance computation on canvas, as in the Measure tool.

This setting affects the following procedures: gimp_drawable_edit_gradient_fill().

Available since: 2.10

#### Parameters

`metric`

  Type: `GeglDistanceMetric`

  The distance metric.

#### Return value

Type: `gboolean`

TRUE on success.